

#ifndef Nntphead_strL


#define Nntphead_strL 1024
#define Nntphead_refL 4096
#define Nntphead_max_boundarY 16

struct NntpheaD {

 int status;   /* 0= unread, 1=reading, 2= done,
                 -1=fault */

 /* Data source */
 struct NntpconN *conn;

 /* id */
 int msgno;
 char msgid[Nntphead_strL];
 
 /* content */
 char from[Nntphead_strL];
 char date[Nntphead_strL];
 char subject[Nntphead_strL];
 char reference[Nntphead_strL];
 char all_references[Nntphead_refL];

 /* for MIME multipart */
 char boundary[Nntphead_strL];
 char *boundary_stack[Nntphead_max_boundarY];
 int boundary_stack_pt;
 
 /* type info */
 int is_mime_multipart;
 int is_uuencode;
 int is_mime;      /* 0=no , 1=possibly raw base64 , 2=try wether raw base64 */

 /* size info */
 int byte_count;
 int line_count;

};


/* for MIME multipart headers */

struct NntpsubheaD {

 int status;   /* 0= unread, 1=reading, 2= done,
                 -1=fault */

 /* main header */
 struct NntpheaD *boss;

 /* type of part */ 
 int is_loadable;
 int encoding;    /* 0=unknown  1=uuencode  2=base64 */

 char filename[4096];

};

#endif /* Nntphead_strL */

